<?php

/**
* Gavick Image Slide - Template style
* @package Joomla!
* @Copyright (C) 2009 Gavick.com
* @ All rights reserved
* @ Joomla! is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.0.0 $
**/

// access restriction
defined('_JEXEC') or die('Restricted access');
// vars
$highest_layer = 0;
// initializing variables
$image_parsed_paddings = array( "top" => 0, "right" => 0, "bottom" => 0, "left" => 0 );
$image_parsed_margins = array( "top" => 0, "right" => 0, "bottom" => 0, "left" => 0 );
$URI = JURI::getInstance();
// parsing margins and paddings
$exploded_image_margins = explode(" ", trim($this->config["image_margin"]));
$exploded_image_paddings = explode(" ", trim($this->config["image_padding"]));
// parsing
// image margins
if(count($exploded_image_margins) == 1){
	$image_parsed_margins["top"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["right"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["bottom"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["left"] = str_replace("px", "", $exploded_image_margins[0]);
}elseif(count($exploded_image_margins) == 2){
	$image_parsed_margins["top"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["right"] = str_replace("px", "", $exploded_image_margins[1]);
	$image_parsed_margins["bottom"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["left"] = str_replace("px", "", $exploded_image_margins[1]);	
}elseif(count($exploded_image_margins) == 4){
	$image_parsed_margins["top"] = str_replace("px", "", $exploded_image_margins[0]);
	$image_parsed_margins["right"] = str_replace("px", "", $exploded_image_margins[1]);
	$image_parsed_margins["bottom"] = str_replace("px", "", $exploded_image_margins[2]);
	$image_parsed_margins["left"] = str_replace("px", "", $exploded_image_margins[3]);	
}
// image paddings
if(count($exploded_image_paddings) == 1){
	$image_parsed_paddings["top"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["right"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["bottom"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["left"] = str_replace("px", "", $exploded_image_paddings[0]);
}elseif(count($exploded_image_paddings) == 2){
	$image_parsed_paddings["top"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["right"] = str_replace("px", "", $exploded_image_paddings[1]);
	$image_parsed_paddings["bottom"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["left"] = str_replace("px", "", $exploded_image_paddings[1]);	
}elseif(count($exploded_image_paddings) == 4){
	$image_parsed_paddings["top"] = str_replace("px", "", $exploded_image_paddings[0]);
	$image_parsed_paddings["right"] = str_replace("px", "", $exploded_image_paddings[1]);
	$image_parsed_paddings["bottom"] = str_replace("px", "", $exploded_image_paddings[2]);
	$image_parsed_paddings["left"] = str_replace("px", "", $exploded_image_paddings[3]);	
}
// calculating sizes
$total_block_width = 0;
$total_block_width += $this->settings["image_x"];
$total_block_width += $image_parsed_margins["left"] + $image_parsed_margins["right"];
$total_block_width += $image_parsed_paddings["left"] + $image_parsed_paddings["right"];
if($this->config["image_border"] != 0) $total_block_width += 2 * $this->config["image_border"];
if($this->config["tick_list"] == "true") $total_block_width += 32;
//
$total_block_height = 0;
$total_block_height += $this->settings["image_y"];
$total_block_height += $image_parsed_margins["top"] + $image_parsed_margins["bottom"];
$total_block_height += $image_parsed_paddings["top"] + $image_parsed_paddings["bottom"];
if($this->config["image_border"] != 0) $total_block_height += 2 * $this->config["image_border"];
//

?>

<div id="gk_is-<?php echo $this->ID;?>" class="gk_is_wrapper gk_is_wrapper-style1" style="width: <?php echo $total_block_width; ?>px;height: <?php echo $total_block_height; ?>px;">

	<?php if($this->config["preloading"] == 'true') : ?>
	<div class="gk_is_preloader"></div>
	<?php endif; ?>

	<?php if($this->config["tick_list"] == "true" || $this->config["readmore_button"] == "true"): ?>
	<div class="gk_is_outter_wrapper">
		<?php if($this->config["tick_list"] == "true") : ?>
		<ul class="gk_is_tick_buttons" style="z-index: <?php echo $highest_layer+3; ?>;">
			<?php for($i = 0;$i < count($this->slides);$i++) : ?>
			<li class="tick"><?php echo $i; ?></li>
			<?php endfor; ?>
		</ul>
		<?php endif; ?>
		
		<?php if($this->config["readmore_button"] == "true") : ?>
		<div class="outter_readmore">Read more</div>
		<?php endif; ?>
	</div>
	<?php endif; ?>
	
	<div class="gk_is_main_wrapper" <?php if($this->config["image_border"] != 0) : ?>style="border-width:<?php echo $this->config["image_border"]; ?>px;"<?php endif; ?>>

		<?php
			//
			$image_style = '';
			//
			if($this->config["image_margin"] != '0') $image_style .= 'margin:'.$this->config["image_margin"].';';
			if($this->config["image_padding"] != '0') $image_style .= 'padding:'.$this->config["image_padding"].';';
			//
		?>

		<div class="gk_is_image" style="width: <?php echo $this->settings["image_x"]; ?>px;height: <?php echo $this->settings["image_y"]; ?>px;<?php echo $image_style; ?>">		
		
			<?php for($i = 0; $i < count($this->slides); $i++) : ?>
				
				<?php 
					// cleaning variables
					unset($path, $title, $link);
					// creating slide path
					$path = $URI->root().'components/com_gk3_photoslide/thumbs_big/'.$this->slides[$i]["filename"];
					// creating slide title
					$title = htmlspecialchars(($this->slides[$i]["ctitle"] == "") ? $this->slides[$i]["title"] : $this->slides[$i]["ctitle"]);
					// creating slide link
					$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];			
				?>
				
				<?php if($this->config["preloading"] == 'false') : ?>
					<img src="<?php echo $path; ?>" class="gk_is_slide" style="z-index: <?php echo $i+1; ?>;" alt="<?php echo $link; ?>" title="<?php echo $title; ?>" />
				<?php else: ?>
					<div class="gk_is_slide" style="z-index: <?php echo $i+1; ?>;" title="<?php echo $title; ?>"><a href="<?php echo $path; ?>">src</a><a href="<?php echo $link; ?>">link</a></div>
				<?php endif; ?>
				
			<?php endfor; ?>
		
			<?php if($this->config['show_text_block'] == "true") : ?>
			<div class="gk_is_text_bg" style="height:<?php echo $this->config['text_block_height']; ?>px;width:<?php echo $this->settings['image_x']; ?>px;opacity:<?php echo $this->config['text_block_opacity']; ?>;background-color:<?php echo $this->config['text_block_bgcolor']; ?>;bottom:<?php echo $image_parsed_paddings["bottom"]; ?>px;"></div>
			<div class="gk_is_text" style="height:<?php echo $this->config['text_block_height']; ?>px;bottom:<?php echo $image_parsed_paddings["bottom"]; ?>px;"></div>
			
			<div class="gk_is_text_data">
				<?php for($i = 0; $i < count($this->slides); $i++) : ?>
				
				<?php 
					// cleaning variables
					unset($text, $title, $link, $exploded_text);
					// creating slide text
					$text = ($this->slides[$i]["content"] == "") ? $this->slides[$i]["introtext"] : $this->slides[$i]["content"];
					if($this->config["clean_xhtml"] == "true") $text = strip_tags($text);
					$exploded_text = explode(" ", $text);
					$text = '';
					for($j = 0; $j < $this->config["wordcount"]; $j++)
					{
						if(isset($exploded_text[$j]))
						{
							$text .= $exploded_text[$j]." ";
						}
					}
					// creating slide title
					$title = ($this->slides[$i]["ctitle"] == "") ? $this->slides[$i]["title"] : $this->slides[$i]["ctitle"];
					// creating slide link
					$link = ($this->slides[$i]["link_type"] != 0) ? JRoute::_(ContentHelperRoute::getArticleRoute($this->slides[$i]["article"], $this->slides[$i]["cid"], $this->slides[$i]["sid"])) : $this->slides[$i]["link"];	
				?>
				
				<div class="gk_is_text_item">
					<?php if($this->config["title"] == "true"): ?>
						<?php if($this->config["title_link"] == "true"): ?>
							<h4><span><a href="<?php echo $link; ?>"><?php echo $title; ?></a></span></h4>
						<?php else: ?>
							<h4><span><?php echo $title; ?></span></h4>
						<?php endif; ?>
					<?php endif; ?>
					<p><?php echo $text; ?></p>
				</div>
			<?php endfor; ?>
			</div>
			<?php endif; ?>
		</div>
	</div>		
</div>